com.microfocus.awm.meta.interfaces

## Enum EExecutionRate

- java.lang.Object
- - java.lang.Enum<EExecutionRate>
  - - com.microfocus.awm.meta.interfaces.EExecutionRate

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EExecutionRate>, org.eclipse.emf.common.util.Enumerator

      public enum EExecutionRate
      extends java.lang.Enum<EExecutionRate>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration for the valid parameters for the execution rate of the get all properties action of an element type: Once, Always
  See Also:
    `TaurusPackage.getEExecutionRate()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` The 'Always' literal object.
    `ONCE` The 'Once' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALWAYS_VALUE` The 'Always' literal value.
    `static int` | `ONCE_VALUE` The 'Once' literal value.
    `static java.util.List<EExecutionRate>` | `VALUES` A public read-only list of all the 'EExecution Rate' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EExecutionRate` | `get(int value)` Returns the 'EExecution Rate' literal with the specified integer value.
    `static EExecutionRate` | `get(java.lang.String literal)` Returns the 'EExecution Rate' literal with the specified literal value.
    `static EExecutionRate` | `getByName(java.lang.String name)` Returns the 'EExecution Rate' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EExecutionRate` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EExecutionRate[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONCE

          public static final EExecutionRate ONCE

      The 'Once' literal object.
      See Also:
        `ONCE_VALUE`

    - #### ALWAYS

          public static final EExecutionRate ALWAYS

      The 'Always' literal object.
      See Also:
        `ALWAYS_VALUE`

  - ### Field Detail

    - #### ONCE_VALUE

          public static final int ONCE_VALUE

      The 'Once' literal value.
      See Also:
        `ONCE`, Constant Field Values

    - #### ALWAYS_VALUE

          public static final int ALWAYS_VALUE

      The 'Always' literal value.
      See Also:
        `ALWAYS`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EExecutionRate> VALUES

      A public read-only list of all the 'EExecution Rate' enumerators.

  - ### Method Detail

    - #### values

          public static EExecutionRate[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EExecutionRate c : EExecutionRate.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EExecutionRate valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EExecutionRate get(java.lang.String literal)

      Returns the 'EExecution Rate' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EExecutionRate getByName(java.lang.String name)

      Returns the 'EExecution Rate' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EExecutionRate get(int value)

      Returns the 'EExecution Rate' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EExecutionRate>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.